petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetNonOverlappingRegion

Gets the indices of the nonoverlapping region of a subdomain DM.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetNonOverlappingRegion(DM da, PetscInt *xs, PetscInt *ys, PetscInt *zs, PetscInt *xm, PetscInt *ym, PetscInt *zm)

Not collective Many br

### Input Parameter

da -The DMDA Many br

### Output Parameters

| xs | - The start of the region in x Many br
| ys | - The start of the region in y Many br
| zs | - The start of the region in z Many br
| xs | - The size of the region in x Many br
| ys | - The size of the region in y Many br
| zs | - The size of the region in z Many br

Many br

### Keywords

distributed array, degrees of freedom

### See Also

DMDAGetOffset(), DMDAVecGetArray()

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages